PDA

Visualizza la versione completa : Non-Debian, come installare Python?


virusbye
23-02-2005, 12:15
Sto scrivendo un articolo su un programma che richiede Python 2.3 installato (anche il -dev). Ho deciso di trattare in un box a parte l'installazione con i programmi di packaging delle varie distribuzioni.

su debian
# apt-get install python2.3 python2.3-dev

Il problema che devo installare la versione 2.3, quindi, voi, utilizzatori di altre distribuzioni, come fate ad installare la versione specifica di un software?

mi interesserebbero Swaret (Slackware), Emerge (anche se so che il python gi installato), Urpmi (Mandrake). Su Fedora/Redaht che si usa? Sono ben accetti anche gestori di altre distro...

:)

vortex87
23-02-2005, 18:30
Beh, per slackware o si scarica i tgz giusti da un mirror e poi li si installa con "upgradepkg python-2.3.4-i486.tgz" (per es) o, con
# swaret --search python
si vedono i pacchetti corrispondenti e poi si d un
# swaret --upgrade python
Cos chiede pacchetto per pacchetto se installare o no, bisogna dire s alla versione voluta.

IMHO meglio il primo metodo, per una serie di motivi: pi semplice/veloce, si pu indicare una fonte con solo pacchetti ufficiali, "standard" dal momento che slackware non ha di default swaret installato n sui cd

virusbye
23-02-2005, 18:39
Mi posteresti l'output di questo comando


# swaret --search python

con un repository standard?

vortex87
23-02-2005, 20:59
Qui c' il mirror ufficiale di slack, linuxpackages.net e slacky.it


root@darkstar:/var/www/htdocs/gsmile_ok# swaret --search python
swaret 1.6.2-1

Pacchetti corrispondenti alla parola chiave: python...
gnome-python-2.0.0-i486-1sl (211 kB) (Slacky.it) [Stato: NON INSTALLATO (Installato: gnome-python-2.6.0-i386-1fpe)]
gnome-python-2.0.2-i486-1cy (230 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: gnome-python-2.6.0-i386-1fpe)]
gnome-python-2.5.90-i686-1 (237 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: gnome-python-2.6.0-i386-1fpe)]
gnome-python-2.6.2-i486-1ftr (255 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: gnome-python-2.6.0-i386-1fpe)]
gnome_python-2.6-i486-1rsa (243 kB) (LinuxPackages.net) [Stato: NON INSTALLATO]
python-2.4-i486-1 (10790 kB) [Stato: NON INSTALLATO (Installato: python-2.3.4-i486-1)]
python-2.4-i486-2dsa (8793 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: python-2.3.4-i486-1)]
python-demo-2.4-noarch-1dsa (226 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: python-demo-2.3.4-noarch-1)]
python-demo-2.4-noarch-1 (226 kB) [Stato: NON INSTALLATO (Installato: python-demo-2.3.4-noarch-1)]
python-irclib-0.4.2-noarch-1ml (53 kB) (LinuxPackages.net) [Stato: NON INSTALLATO]
python-tools-2.4-noarch-1dsa (301 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: python-tools-2.3.4-noarch-1)]
python-tools-2.4-noarch-1 (301 kB) [Stato: NON INSTALLATO (Installato: python-tools-2.3.4-noarch-1)]
python-xlib-0.12-i486-1ja (274 kB) (LinuxPackages.net) [Stato: NON INSTALLATO]
wxPython-2.4.2.4-i486-1sl (2723 kB) (Slacky.it) [Stato: INSTALLATO]
wxPython-2.5.3.1-i486-1ron (8844 kB) (LinuxPackages.net) [Stato: NON INSTALLATO (Installato: wxPython-2.4.2.4-i486-1sl)]
wxpython-2.5.3.1-i486-2ron (8702 kB) (LinuxPackages.net) [Stato: NON INSTALLATO]



E qui ho disabilitato le repos_root, in pratica tiene solo il mirror ufficiale slackware (con solo i pacchetti presenti sul cd in versione aggiornata):


root@darkstar:/var/www/htdocs/gsmile_ok# swaret --search python
swaret 1.6.2-1

Pacchetti corrispondenti alla parola chiave: python...
python-2.4-i486-1 (10790 kB) [Stato: NON INSTALLATO (Installato: python-2.3.4-i486-1)]
python-demo-2.4-noarch-1 (226 kB) [Stato: NON INSTALLATO (Installato: python-demo-2.3.4-noarch-1)]
python-tools-2.4-noarch-1 (301 kB) [Stato: NON INSTALLATO (Installato: python-tools-2.3.4-noarch-1)]

andy caps
23-02-2005, 22:35
anche gentoo non ha i devel

dev-lang/python
Latest version available: 2.3.4-r1
Latest version installed: 2.3.4-r1
Size of downloaded files: 7,020 kB
Homepage: http://www.python.org/
Description: A really great language
License: PSF-2.2

mandrake ( io ho la cooker ) ha il 2.4 e si puo installare
libpython2.4-devel

non so se nella 10.1 ci sia il 2.3


fedora ha python-devel

( python-devel-2.3.4-13.1) con apt

mykol
24-02-2005, 00:04
MDK 10.1 official aggiornata con i server proxad

[root@MDK10 giorgio]# urpmi -y libpython
I seguenti pacchetti contengono libpython:
dia
gcompris
libpython2.3
libpython2.3-devel
[root@MDK10 giorgio]#

per mdk, se non gi installata dovrebbe essere sufficiente

# urpmi libpython2.3 libpython2.3-devel

Loading